/*************************************************************************
 *  TinyFugue - programmable mud client
 *  Copyright (C) 1993, 1994 Ken Keys
 *
 *  TinyFugue (aka "tf") is protected under the terms of the GNU
 *  General Public License.  See the file "COPYING" for details.
 ************************************************************************/
/* $Id: expand.h,v 35004.1 1995/04/30 01:05:06 hawkeye Exp $ */

#ifndef EXPAND_H
#define EXPAND_H

/* note: these numbers must agree with enum_subs[] in variable.c. */
#define SUB_NONE    -1  /* absolutely no subs                                 */
#define SUB_KEYWORD  0  /* SUB_NEWLINE if initial keyword, SUB_NONE otherwise */
#define SUB_NEWLINE  1  /* %; subs                                            */
#define SUB_FULL     2  /* all subs                                           */
#define SUB_MACRO    3  /* all subs, from macro                               */

extern int   FDECL(process_macro,(char *body, CONST char *args, int subs));

#endif /* EXPAND_H */
