; finger - get user information.  Arguments are like unix finger:
; /finger user@host
; /finger user
; /finger @host
; /finger

; This is more complicated than it needs to be, just to make it act nicely.

/def -i finger = \
    /let args=%*%; \
    /def -i _finger_exit = \
        /fg ${world_name}%%; \
        /purge -i -mglob _finger_*%; \
    /test regmatch("([^@]*)@?(.*)", args)%; \
    /let user=%{P1}%; \
    /let host=%{P2-localhost}%; \
    /def -i -ag -msimple -h'REDEF world finger' _finger_redef_gag%; \
    /addworld finger %{host} finger%; \
    /def -i1 -ag -msimple -h'connect finger' -p%{maxpri} _finger_con = \
        /def -i1 -ag -p%{maxpri} -msimple -h'world finger'%%;\
        /def -i1 -ag -p%{maxpri} -msimple -h'world ${world_name}'%%;\
        /fg finger%%; \
        /send -- %{user}%; \
    /def -i1 -mglob -h'confail finger *' -p%{maxpri} _finger_fail = \
        /_finger_exit%; \
    /def -i1 -ag -mglob -h'disconnect {finger}*' -p%{maxpri} _finger_done = \
        /_finger_exit%; \
    /connect finger

