;;; /changes
;; Using sed would be very fast, but not portable.  Simple-minded comparisons
;; or triggers would be too slow.  This version is complex, but not too slow.

/def -i changes = \
    /let ver=$(/ver)%; \
    /def ~changes_out = \
;       ; look for the version number marking top of section
        /def -1 -p$[maxpri] -mregexp -t"^: %{*-%ver}( |$$$)" ~changes_out_ver =\
            /echo - %%%{*}%%%; \
            /undef ~changes_out_other%%%; \
            /~changes_in%%; \
;       ; don't test pre-existing triggers
        /def -p$[maxpri-1] -mglob -t"*" ~changes_out_other%; \
    /def ~changes_in = \
;       ; look for blank line marking end of section
        /def -1 -p$[maxpri] -msimple -t":" ~changes_in_blank = \
            /echo - %%%{*}%%%; \
            /undef ~changes_in_other%%%; \
            /~changes_out%%; \
;       ; echo all lines in section
        /def -p$[maxpri-1] -mglob -t"*" ~changes_in_other = \
            /echo - %%%{*}%; \
    /~changes_out%; \
    /quote -S /trigger : '"%TFLIBDIR/CHANGES"%; \
    /purge ~changes*
